Get inbound shipment
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/inbound-shipments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/inbound-shipments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/inbound-shipments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reconciled_at": "2023-11-07T05:31:56Z",
"arrival_date": "2023-11-07T05:31:56Z",
"location_id": 123,
"from_warehouse_id": 123,
"purchase_order_id": 123,
"purchase_order_shipment_id": 123,
"transfer_order_id": 123,
"app_integration_account_id": 123,
"external_shipment_id": "<string>",
"external_warehouse_customer_id": "<string>",
"external_po_number": "<string>",
"external_po_number_canonical": "<string>",
"external_status": "<string>",
"external_raw_status": "<string>",
"external_supplier_name": "<string>",
"external_expected_arrival_date": "2023-11-07T05:31:56Z",
"external_warehouse_id": "<string>",
"external_tracking_numbers": [
"<unknown>"
],
"external_date_created": "2023-11-07T05:31:56Z",
"external_date_updated": "2023-11-07T05:31:56Z",
"external_ship_from_address": {
"street1": "<string>",
"street2": "<string>",
"street3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"total_expected_quantity": 123,
"total_received_quantity": 123,
"total_unit_cost": 123,
"external_notes": [
"<unknown>"
],
"external_system_url": "<string>",
"items": [
{
"id": 123,
"external_item_id": "<string>",
"external_id": "<string>",
"external_sku": "<string>",
"expected_quantity": 123,
"received_quantity": 123,
"unit_cost": 123,
"purchase_order_shipment_item_id": 123,
"rfq_id": 123
}
],
"location": {
"id": 123,
"status": "<string>",
"name": "<string>",
"parent_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"from_location": {
"id": 123,
"status": "<string>",
"name": "<string>",
"parent_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"purchase_order": {
"id": 123,
"order_numbers": [
"<string>"
],
"order_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"transfer_order": {
"id": 123,
"number": "<string>",
"status": "<string>"
},
"purchase_order_shipment": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_number": "<string>",
"total_shipping_cost": 123,
"shipping_date": "2023-11-07T05:31:56Z",
"warehouse_id": 123,
"shipment_status_id": 123,
"notes": "<string>",
"tracking_number": "<string>",
"estimated_arrival": "2023-12-25",
"is_closed": true,
"sync_status": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"last_synced_status": "<unknown>",
"shipment_status": {
"id": 123,
"name": "<string>"
},
"warehouse": {
"id": 123,
"status": "<string>",
"name": "<string>",
"parent_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"shipment_items": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"supplier_purchase_order_shipment_id": 123,
"supplier_purchase_order_id": 123,
"supplier_purchase_order_item_id": 123,
"quantity": 123,
"unit_of_measure_id": 123,
"cbm": 123,
"carton_quantity": 123,
"carton_dimensions": "<string>"
}
],
"shipment_extra_costs": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"supplier_purchase_order_shipment_id": 123,
"name": "<string>",
"quantity": 123,
"unit_price": 123,
"line_total": 123,
"cost_allocation_type": "<string>"
}
],
"custom_fields": {}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Inbound Shipments
Get inbound shipment
Get a single inbound shipment by ID.
GET
/
inbound-shipments
/
{id}
Get inbound shipment
⌘I